Bug#482793: gnome-applets: Should not require ALSA

Johan Walles johan.walles at gmail.com
Sun May 25 06:58:40 UTC 2008

Package: gnome-applets
Version: 2.20.1-3
Severity: normal

gnome-applets depends on:
  gstreamer0.10-alsa | gstreamer0.10-plugins-good | hurd

It should depend on:
  gstreamer0.10-audiosink | hurd

Requiring gstreamer sound playback is fine.  Requiring certain sound hardware is not, that's what gstreamer is for.

Please fix the dependency.  In my case I'd like to be able to remove gstreamer0.10-alsa from my system, which is currently not 
possible without removing GNOME.  Playing sound through gstreamer0.10-pulseaudio works fine for me, and should be enough for 

  Regards //Johan

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-applets depends on:
ii  debconf [debconf-2.0]      1.5.21        Debian configuration management sy
ii  gconf2                     2.22.0-1      GNOME configuration database syste
ii  gnome-applets-data         2.20.1-3      Various applets for GNOME 2 panel 
ii  gnome-icon-theme           2.22.0-1      GNOME Desktop icon theme
ii  gnome-panel                2.20.3-3      launcher and docking facility for 
ii  gstreamer0.10-alsa         0.10.19-1     GStreamer plugin for ALSA
ii  gstreamer0.10-plugins-good 0.10.8-2      GStreamer plugins from the "good" 
ii  libapm1                    3.2.2-10      Library for interacting with APM d
ii  libatk1.0-0                1.22.0-1      The ATK accessibility toolkit
ii  libbonoboui2-0             2.22.0-1      The Bonobo UI library
ii  libc6                      2.7-10        GNU C Library: Shared libraries
ii  libcpufreq0                002-7.2       shared library to deal with the cp
ii  libdbus-1-3                1.2.1-2       simple interprocess messaging syst
ii  libdbus-glib-1-2           0.74-2        simple interprocess messaging syst
ii  libgconf2-4                2.22.0-1      GNOME configuration database syste
ii  libglade2-0                1:2.6.2-1     library to load .glade files at ru
ii  libglib2.0-0               2.16.3-2      The GLib library of C routines
ii  libgnome-desktop-2         2.22.1-1      Utility library for loading .deskt
ii  libgnome2-0          The GNOME 2 library - runtime file
ii  libgnomekbd2               2.22.0-1      GNOME library to manage keyboard c
ii  libgnomekbdui2             2.22.0-1      User interface library for libgnom
ii  libgnomeui-0         The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0             1:2.22.0-2    GNOME Virtual File System (runtime
ii  libgnomevfs2-extra         1:2.22.0-2    GNOME Virtual File System (extra m
ii  libgstreamer-plugins-base0 0.10.19-1     GStreamer libraries from the "base
ii  libgstreamer0.10-0         0.10.19-3     Core GStreamer libraries and eleme
ii  libgtk2.0-0                2.12.9-3      The GTK+ graphical user interface 
ii  libgtop2-7                 2.22.1-1      gtop system monitoring library
ii  libgucharmap6              1:2.22.1-1    Unicode browser widget library (sh
ii  libhal1                    0.5.11~rc2-1  Hardware Abstraction Layer - share
ii  libnotify1 [libnotify1-gtk 0.4.4-3       sends desktop notifications to a n
ii  liboobs-1-3                2.20.0-1      GObject based interface to system-
ii  libpanel-applet2-0         2.20.3-3      library for GNOME Panel applets
ii  libpango1.0-0              1.20.2-2      Layout and rendering of internatio
ii  libwnck22                  2.22.1-1      Window Navigator Construction Kit 
ii  libx11-6                   2:1.0.3-7     X11 client-side library
ii  libxklavier12              3.5-1         X Keyboard Extension high-level AP
ii  libxml2                    2.6.32.dfsg-2 GNOME XML library
ii  python                     2.5.2-1       An interactive high-level object-o

Versions of packages gnome-applets recommends:
ii  deskbar-applet                2.22.1-1   universal search and navigation ba
ii  gnome-media                   2.22.0-1   GNOME media utilities
ii  gnome-netstatus-applet        2.12.1-2   Network status applet for GNOME 2
ii  gnome-system-monitor          2.22.1-1   Process viewer and system resource
ii  python-gnome2                 2.22.0-1   Python bindings for the GNOME desk

-- debconf information:
  gnome-applets/cpufreq_SUID_bit: false

More information about the pkg-gnome-maintainers mailing list